Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86252 - Kernel rpm does not compile on i686 because of installed but unpackaged files
Summary: Kernel rpm does not compile on i686 because of installed but unpackaged files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-18 06:42 UTC by Horms
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:39 UTC


Attachments (Terms of Use)
Spec patch that should resolve this problem (deleted)
2003-03-18 06:43 UTC, Horms
no flags Details | Diff

Description Horms 2003-03-18 06:42:04 UTC
Description of problem:

Kernel rpm does not compile on i686

Tested

Version-Release number of selected component (if applicable):

kernel-2.4.18-27.8.0.src.rpm and 
kernel-2.4.18-24.8.0.src.rpm

How reproducible:

Try and build these packages for the i686 target on a Red Hat 8.0
with the latest updates.

Steps to Reproduce:
1. rpm -hUv kernel-2.4.18-27.8.0.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpmbuild -ba --target i686 kernel-2.4.spec
    
Actual results:

Build fails complaining about lots of files in
$RPM_BUILD_ROOT/usr/src/linux-%{KVERREL}/savedheaders
being installed but not part of the package.

(this isn't a problem with the version of rpm shipped with Red Hat 7.x)

Expected results:

Binary kernel rpms


Additional info:

The attached patch to the kernel-2.4.spec file should resove the problem
by making sure that $RPM_BUILD_ROOT/usr/src/linux-%{KVERREL}/savedheaders
is cleared before packaging.

By the looks of things this will also effect i586 and sparc64.

Also suggest that binary rpms for 8.0 are built in a standard
8.0 environment so these bugs are caught in future.

Comment 1 Horms 2003-03-18 06:43:54 UTC
Created attachment 90636 [details]
Spec patch that should resolve this problem

Comment 2 Bugzilla owner 2004-09-30 15:40:39 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.